/// <reference types="react" />
import MoralisType from "moralis";
export interface Web3EnableOptions {
    onError?: (error: Error) => void;
    onSuccess?: (web3: unknown) => void;
    onComplete?: () => void;
    throwOnError?: boolean;
    connector?: MoralisType.Connector;
    chainId?: number;
}
/**
 * Handles enabling of web3 and providing it, as soon as the user is authenticated
 */
export declare const _useMoralisWeb3: (Moralis: MoralisType) => {
    enableWeb3: ({ throwOnError, onComplete, onError, onSuccess, ...rest }?: Web3EnableOptions) => Promise<void>;
    web3: unknown;
    isWeb3Enabled: boolean;
    web3EnableError: Error | null;
    isWeb3EnableLoading: boolean;
    _setIsWeb3Enabled: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    _setIsWeb3EnableLoading: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    chainId: string | null;
    account: string | null;
    network: string | null;
    connector: MoralisType.Connector | null;
    connectorType: string | null;
    deactivateWeb3: () => Promise<void>;
    provider: unknown;
};
